> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frogbot.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a device sign-in

> RFC 8628. Show the person `verification_uri_complete`, then poll `/api/cli/device/token`. Errors use the RFC's `{ error }` shape.



## OpenAPI

````yaml https://dojo.frogbot.ai/api/openapi.json post /api/cli/device/code
openapi: 3.1.0
info:
  title: Dojo API
  version: '1'
  description: >-
    Everything Dojo's pages do, for scripts and agents. Sign in with an API key
    as `Authorization: Bearer fb_…`. Paying and accepting the terms happen at a
    link a route answers, for a person to open.
servers:
  - url: https://dojo.frogbot.ai
security:
  - apiKey: []
tags:
  - name: Sign-in
  - name: Workspaces
  - name: Projects
  - name: Apps
  - name: Templates
  - name: Sharing
  - name: Deployments
  - name: Environment variables
  - name: Domains
  - name: Data
  - name: Billing
  - name: API keys
paths:
  /api/cli/device/code:
    post:
      tags:
        - Sign-in
      summary: Start a device sign-in
      description: >-
        RFC 8628. Show the person `verification_uri_complete`, then poll
        `/api/cli/device/token`. Errors use the RFC's `{ error }` shape.
      operationId: post/api/cli/device/code
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                client_id:
                  type: string
                device_name:
                  type: string
              required:
                - client_id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  device_code:
                    type: string
                  user_code:
                    type: string
                  verification_uri:
                    type: string
                  verification_uri_complete:
                    type: string
                  expires_in:
                    type: integer
                  interval:
                    type: integer
                required:
                  - device_code
                  - user_code
                  - verification_uri
                  - verification_uri_complete
                  - expires_in
                  - interval
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        An API key from `frogbot deploy`'s sign-in, `/api/cli/device/token`, or
        the API keys page.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.